\with {
  \override RestCollision #'positioning-done = #merge-rests-on-positioning
}
<<
  \time 6/8
  \key g \major



  \new Voice = "first" \relative c''
  { \voiceOne
    %          \override NoteHead #'color = #(x11-color 'gray)
    %          \override Stem #'color = #(x11-color 'gray)
    %          \override Beam #'color = #(x11-color 'gray)
    %          \override Accidental #'color = #(x11-color 'gray)
    \set Timing.beamExceptions =
    #'(                         ;start of alist
      (end .                   ;entry for end of beams
	(                       ;start of alist of end points
	  ((1 . 8) . (2 2 2 2))   ;rule for 1/32 beams -- end each 1/16
	   )))
      %         \overrideBeamSettings #'Score #'(4 . 4) #'end #'((8 . (2 2)))
      \override MultiMeasureRest #'staff-position = #0

      \partial 8*4 g8 g4. |
      g4 r8 <d a'>4 r8 |
      g4. r4 g8 |
      g4 g8 a4 h8 |
      a4. r4 r8 |
      %         5
      a4 a8 a4 a8 |
      a4 a8 <e h'> a a |
      a4 a8 a4 a8 |
      a4
%%%%%%%%%% 2. Part &&&&&&&&&&&
      r8 r4 a8 |
      g4. r4 g8 |
      %         10
      g4 g8  a4 g8 |
      f4 e8 e4 e8 |
      gis4. r4 gis8 |
      a4 gis8 <e a>4 <f a>8 |
      h4. r4 gis8 |
      %         15
      a4 a8 a4 gis8 |
      a4. r4 c8 |
      h4. <fis c'>4. |
      h4. r4 r8 |
      h4 dis8 <h e>4 <a e'>8 |
      %         20
      dis4. r4 dis8 |
      e4 e8 e4 dis8 |
      e4. h4 r8 |
      h4 r8 c4 r8 |
      h4 h8 <fis c'>4 h8 |
      %         25
      a4 h8 a4. |
      a4. a |
      g8 fis a h4 cis8 |
      d4. r4 r8 |
      r4 a8 h4 cis8 |
      %         30
      d4. d4 h8 |
      c4 h8 a4 a8 |
      g4
    }

    \new Voice= "second" \relative c'
    { \voiceTwo
      %          \override NoteHead #'color = #(x11-color 'gray)
      %          \override Stem #'color = #(x11-color 'gray)
      %          \override Beam #'color = #(x11-color 'gray)
      %          \override Accidental #'color = #(x11-color 'gray)
      %         \overrideBeamSettings #'Score #'(4 . 4) #'end #'((8 . (2 2)))
      \partial 8*4 <h d>8 <c e>4. |
      <h d>4 r8 c4 r8 |
      <h d>4. r4 <h d>8 |
      <c e>4 <c e>8 <c fis>4 <d g>8 |
      <d fis>4. r4 r8 |
      %         5
      <d fis>4 <d fis>8 <d fis>4 <d fis>8 |
      <cis e>4 <d fis>8 d <d fis> <cis e> |
      <d fis>4 <d fis>8 <d fis>4 <cis e>8 |
      <d fis>4
%%%%%%%%%% 2. Part &&&&&&&&&&&
      r8 r4 <d fis>8 |
      <h d>4. r4 <h d>8 |
      %         10
      <c e>4 <c e>8 <c e>8 <d fis> <a e'> |
      <a d>4 <a c>8 <h d>4 <a c>8 |
      <h d>4. r4 <h e>8 |
      <c e>4 <h e>8 c h c |
      <e gis>4. r4 <h e>8 |
      %         15
      <c e>4 <h f'>8 <c e>4 <h e>8 |
      <c e>4. r4 <e a>8 |
      <e g>4. e |
      <dis fis>4. r4 r8 |
      <dis fis>4 <fis h>8 g fis e |
      %         20
      <fis h>4. r4 <fis a>8 |
      <g h>4 <fis c'>8 <g h>4 <fis h>8 |
      <g h>4. <e g>4 r8 |
      <d g>4 r8 <d a'>4 r8 |
      <d a'>4 <d g>8 e4 <d fis>8 |
      %         25
      <d fis>4 <d g>8 <d fis>4. |
      <d fis>4. <c fis> |
      <h d>8 <a d> <d fis> <d g>4 <e g>8 |
      <fis a>4. r4 r8 |
      r4 <d fis>8 <d g>4 <e g>8 |
      %         30
      <fis a>4. <d g>4 <d g>8 |
      <d a'>4 <d g>8 <d g>4 <d fis>8 |
      <h d>4
    }
  >>