\with {
  \override RestCollision #'positioning-done = #merge-rests-on-positioning
}
<<
  \time 3/8
  \key g \major


  \new Voice = "first" \relative c''
  { \voiceOne
    %          \override NoteHead #'color = #(x11-color 'gray)
    %          \override Stem #'color = #(x11-color 'gray)
    %          \override Beam #'color = #(x11-color 'gray)
    %          \override Accidental #'color = #(x11-color 'gray)
    %         \overrideBeamSettings #'Score #'(4 . 4) #'end #'((8 . (2 2)))
    \override MultiMeasureRest #'staff-position = #-0
    \repeat volta 2 {
    \partial 8*1 r8 |
      R4. |
      R4. |
      R4. |
      R4. |
      %         5
      R4. |
      r4 h8 |
      d4 h8 |
      h4 a8 |
      <d, fis>4 g8 |
      %         10
      g fis d' |
      d4 e8 |
      e4 d8 |
      d4 h8 |
      a8 cis d8 |
      %         15
      d8 cis4 |
    }
    \alternative {
      {\set Timing.measureLength = #(ly:make-moment 2 8)  d4  }
      {\set Timing.measureLength = #(ly:make-moment 3 8)  d4 r8 |}
    }
%%%%%%%%%%%%%%%% 2. Part %%%%%%%%%%%%%%%%%
    R4. |
    R4. |
    R4. |
    %         20
    R4. |
    r4 a8 |
    h h4 |
    c8 <fis, c'>4 |
    h4 h8 |
    %         25
    <fis c'>8 h4 |
    h8 h4 |
    c4 r8 |
    d4 r8 |
    c4. |
    %         30
    c8 d4 |
    d4 e8 |
    e f d |
    d4 c8 |
    h8 h4 |
    %         35
    a4. |
    a4 r8 |
    cis4 r8 |
    d4 d8 |
    d h4 |
    %         40
    c8 c4 |
    c8 h4 |
    h8 a e' |
    d4 d8 |
    d4 h8 |
    %         45
    a a4 |
    h4 h8 |
    a4 h8 |
    a4. |
    g4. |
    %         50
    <d fis>4. |
    g4 fis8 |
    g fis4 |
    g4 r8 |
    g4
  }

  \new Voice= "second" \relative c'
  { \voiceTwo
    %          \override NoteHead #'color = #(x11-color 'gray)
    %          \override Stem #'color = #(x11-color 'gray)
    %          \override Beam #'color = #(x11-color 'gray)
    %          \override Accidental #'color = #(x11-color 'gray)
    %         \overrideBeamSettings #'Score #'(4 . 4) #'end #'((8 . (2 2)))
    \repeat volta 2 {
    \partial 8*1 r8 |
      s4. |
      s4. |
      s4. |
      s4. |
      %         5
      s4. |
      r4 <d g>8 |
      <d a'>4 <d g>8 |
      <d g>4 <c e>8 |
      c4 <h d>8 |
      %         10
      <a e'>8 <a d> <fis' a> |
      <d g>4 <g c>8 |
      <g c>4 <fis a>8 |
      <fis a>4 <e g>8 |
      <e g>4 <fis a>8 |
      %         15
      <e h'>8 <e a>4
    }
    \alternative {
      {\set Timing.measureLength = #(ly:make-moment 2 8)  <fis a>4 }
      {\set Timing.measureLength = #(ly:make-moment 3 8)  <fis a>4 r8 }
    } |
%%%%%%%%%%%%%%%% 2. Part %%%%%%%%%%%%%%%%%
    s4. |
    s4. |
    s4. |
    %         20
    s4. |
    r4 <d fis>8 |
    <d g>8 <e g>4 |
    <e g>8 <e>4 |
    <dis fis>4 <e g>8 |
    %         25
    e8 <dis fis>4 |
    <e gis>8 <e gis>4 |
    <e a>4 r8 |
    <d gis>4 r8 |
    <e a> 4. |
    %         30
    <f a>8 <f h>4 |
    <gis h>4 <gis c>8 |
    <a c> <a d> <f a> |
    <e h'>4 <e a>8 |
    <fis a>8 <e gis>4 |
    %         35
    <cis e>4. |
    <d fis>4 r8 |
    <e g>4 r8 |
    <fis a>4 <fis a>8 |
    <e h'>8  <e g>4 |
    %         40
    <e g>8 <fis a>4 |
    <d a'>8 <d g>4 |
    <e g>8 <e a> <e a> |
    <fis a>4 <fis h>8 |
    <g h>4 <d g>8 |
    %         45
    <e g>8 <d fis>4 |
    <d g>4 <d g>8 |
    <e g>4 <d fis>8 |
    <d fis>4. |
    <h d> |
    %         50
    c |
    <h d>4 <a d>8 |
    <h d>8 <a d>4 |
    <h d>4 r8 |
    <h d>4
  }
>>